Bug 1006617 - [WFLY-17] ignore CNFE when scanning for entity classes in deployment
[WFLY-17] ignore CNFE when scanning for entity classes in deployment
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JPA (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.2.0
Assigned To: Emmanuel Hugonnet (ehsavoie)
Zbyněk Roubalík
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 19:05 EDT by Brad Maxwell
Modified: 2013-12-15 11:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:14:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-17 Major Closed ignore CNFE when scanning for entity classes in deployment 2014-06-26 10:10:55 EDT

  None (edit)
Description Brad Maxwell 2013-09-10 19:05:56 EDT
Description of problem:

Deployments may contain non-entity classes that can not be loaded, which results in the deployment failing though the classes are actually packaged in the application.
Comment 2 Emmanuel Hugonnet (ehsavoie) 2013-09-30 10:06:28 EDT
PR for EAP : https://github.com/jbossas/jboss-eap/pull/492
Comment 6 Zbyněk Roubalík 2013-12-05 09:21:25 EST
Verified on EAP 6.2.0

Note You need to log in before you can comment on or make changes to this bug.